%define name catdoc
%define version 0.94
%define release %mkrel 1

Summary: Converts MS-Word file to text
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.45.free.net/pub/catdoc/%{name}-%{version}.tar.bz2
Source1: test-catdoc.tar.bz2
Source2: catdoc-charset-from-glibc-charmap.pl
Patch0: catdoc-0.93.4-mandir.patch.bz2
#Patch1: catdoc-0.93.4-fix-wordview-charset_lib.patch.bz2
Patch2: catdoc-0.93.4-setvbuf-is-dangerous.patch.bz2
#Patch3: catdoc-0.93.4-RTF-CODEPAGE.patch.bz2
Patch4: catdoc-0.93.4-RTF_UNICODE_CHAR.patch.bz2
Patch5: catdoc-0.93.4-cmd-end-of-line-ends-paragraph.patch.bz2
License: GPL
Group: Office
URL: http://www.45.free.net/~vitus/ice/catdoc/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: glibc-i18ndata
Requires: tk

%description 
CATDOC is program which reads MS-Word file and prints readable
ASCII text to stdout, just like Unix cat command.
It also able to produce correct escape sequences if some UNICODE
charachers have to be represented specially in your typesetting system
such as (La)TeX.

It features runtime configuration, proper charset handling,
user-definable output formats and support
for Word97 files, which contain UNICODE internally.

%prep

%setup
%patch0 -p1
#%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
autoconf
%configure --with-install-root="$RPM_BUILD_ROOT" --with-input=cp1252 --with-output=8859-1
%make

zcat /usr/share/i18n/charmaps/MACINTOSH.gz | perl %{SOURCE2} > charsets/cp10000.txt

%install
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/catdoc

%changelog
* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94-1mdk
- New release 0.94
- Drop Patches 1, 3
* Mon Dec  6 2004 Pixel <pixel@mandrakesoft.com> 0.93.4-3mdk
- handle cmd "end-of-line" as \par (was done for \r, but not \n)
- add charset cp10000 (really is macintosh)

* Thu Nov 18 2004 Pixel <pixel@mandrakesoft.com> 0.93.4-2mdk
- handle \handlecpgXXX
- default source_charset is now cp1252 (as it should be (?))
- default target_charset is now 8859-15
- better RTF_UNICODE_CHAR patch
- add test-catdoc.tar.bz2 which contain my tests

* Fri Nov 12 2004 Pixel <pixel@mandrakesoft.com> 0.93.4-1mdk
- new release
- cleanup and adapt 
- fix mandir
- add RTF_UNICODE_CHAR patch to handle a RTF file with a mac charset which has "d\u233\'8etruire"
- uncomment the %configure (which still worked !)

* Wed Apr 21 2004 Michael Scherer <misc@mandrake.org> 0.93.1-1mdk 
- 0.93.1
- update Url

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.91.5-4mdk
- rebuild

* Thu Jan 23 2003 lenny@mandrakesoft.com 0.91.5-3mdk
- rebuild

* Thu Nov 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.91.5-2mdk
- Fix unpackaged files

* Wed Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.91.5-1mdk
- 0.91.5

* Thu Jan 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.91.4-1mdk
- updated to 0.91.4

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.90.3-4mdk
- rebuild

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.90.3-3mdk 
- BM
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.90.3-2mdk
- fix group
- fix files section

* Mon Sep  6 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
